Skip to Content
Enderdash

Create Game O Auth Client

POST
/organizations/createGameOAuthClient

Authorization

cookie__Secure-enderdash.session_token<token>

Signed-in Enderdash browser session cookie.

Request Body

application/json
  1. body
organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
name*string
Length1 <= length <= 80
redirectUris*array<>
Items1 <= items <= 16
verifierScope*string
Value in"organization""selected_servers"
verifierServerIds*array<>
Itemsitems <= 64

Response Body

OK

Example Request
curl -X POST 'https://app.enderdash.com/api/http/organizations/createGameOAuthClient' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "redirectUris": [
    "http://example.com"
  ],
  "verifierScope": "organization",
  "verifierServerIds": [
    "53d6cad2-9403-4c46-94c8-fbcbbe2903f6"
  ]
}'
Example Response
Empty